%define name    suil
%define version 0.8.3svn5732
%define release 16

Name: suil
Version: 0.8.3svn5732
Release: 16.rncbc.suse132
Summary: Lightweight C library for loading and wrapping LV2 plugin UIs

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}
%define _lib_name_devel lib%{name}-devel

Source: http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-instance-R1.patch
Patch1: %{name}-%{version}-x11_in_qt4-R1.patch
URL: http://drobilla.net/software/%{name}/
License: MIT-like
Group: System/Libraries

BuildRequires: python python-rdflib python-xml gcc-c++ pkgconfig
BuildRequires: lv2 lv2-devel
BuildRequires: gtk2-tools gtk2-devel
BuildRequires: libqt4 libqt4-devel
%if %{defined fedora}
BuildRequires: qt5-qtbase, qt5-qtbase-devel
%else
BuildRequires: libqt5-qtbase, libqt5-qtbase-devel
%endif

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
runtime using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------
%package -n %{_lib_name}

Summary: Lightweight RDF syntax library
Group: System/Libraries

%description -n %{_lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
runtime using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%doc COPYING README
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary: Headers for the sord RDF storage library
Group: System/Libraries
Requires: %{_lib_name}
Requires: pkgconfig
Provides: %{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against suil.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------
%package -n lib%{name}-qt4-in-gtk2
Summary: Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group: System/Libraries
Requires: libqt4 libqt4-devel python-qt4 python-devel
Requires: %{_lib_name}
Provides: %{name}-qt4-in-gtk2 = %{version}-%{release}

%description -n lib%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs

%files -n lib%{name}-qt4-in-gtk2
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_qt4_in_gtk2.so


%package -n lib%{name}-gtk2-in-qt4
Summary: Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group: System/Libraries
Requires: gtk2-tools gtk2-devel
Requires: %{_lib_name}
Provides: %{name}-gtk2-in-qt4 = %{version}-%{release}

%description -n lib%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
	
%files -n lib%{name}-gtk2-in-qt4
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_gtk2_in_qt4.so


%package -n lib%{name}-gtk2-in-qt5
Summary: Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
Group: System/Libraries
Requires: gtk2-tools gtk2-devel
Requires: %{_lib_name}
Provides: %{name}-gtk2-in-qt5 = %{version}-%{release}

%description -n lib%{name}-gtk2-in-qt5
Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
	
%files -n lib%{name}-gtk2-in-qt5
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_gtk2_in_qt5.so


%package -n lib%{name}-x11-in-gtk2
Summary: Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group: System/Libraries
Provides: %{name}-x11-in-gtk2 = %{version}-%{release}

%description -n lib%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs
	
%files -n lib%{name}-x11-in-gtk2
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_gtk2.so


%package -n lib%{name}-x11-in-qt4
Summary: Shared object for Qt4 hosts displaying x11 LV2 GUIs
Group: System/Libraries
Provides: %{name}-x11-in-qt4 = %{version}-%{release}

%description -n lib%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying x11 LV2 GUIs
	
%files -n lib%{name}-x11-in-qt4
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_qt4.so


%package -n lib%{name}-x11-in-qt5
Summary: Shared object for Qt5 hosts displaying x11 LV2 GUIs
Group: System/Libraries
Provides: %{name}-x11-in-qt5 = %{version}-%{release}

%description -n lib%{name}-x11-in-qt5
Shared object for Qt5 hosts displaying x11 LV2 GUIs
	
%files -n lib%{name}-x11-in-qt5
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}-%{_lib_major}/
%{_libdir}/%{name}-%{_lib_major}/lib%{name}_x11_in_qt5.so

#-----------------------------------
%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
./waf configure --prefix=%{_prefix} --libdir=%{_libdir} --debug
./waf

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%post   -n %{_lib_name} -p /sbin/ldconfig
%postun -n %{_lib_name} -p /sbin/ldconfig

#-----------------------------------
%changelog

* Sun Sep 27 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.3svn5732
- Reenact x11 in qt4 parent window destructor [patch] (REGRESSION)
- Revert graceful failure to open wrapper [patch] (REGRESSION)
* Sun Sep 12 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.3svn5730
- Fix gtk2 in qt5 destructor, x11 in qt4 close event [patch] (EXPERIMENTAL).
* Sat Sep 12 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.3svn5726
- Fix gtk2, x11 in qt5 [patch] (EXPERIMENTAL).
* Tue Sep  8 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.3svn5719
- Add gtk2, x11 in qt5 [patch] (EXPERIMENTAL).
* Sat Aug  9 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.2-10
- New upstream release.
* Sun Jan  5 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.8.0-9
- New upstream release.
* Wed Sep 18 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.16-8
- New upstream release.
* Mon Aug 19 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.14-7
- New upstream release.
* Sat Feb 23 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.12-6
- New upstream release.
* Sat Dec 22 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.10-5
- New upstream release.
* Wed Nov 14 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.6-4
- New upstream release.
* Mon Jul  9 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.4-3
- New upstream release.
* Fri May 25 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.2-2
- Second spec build.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.0-1
- Initial spec build.
